---
style: empty
date_format: '%d/%m/%Y'
title: ''
---
\usepackage{fancyhdr}
\usepackage{lastpage}
\usepackage{etoc}

\renewcommand{\etocaftertitlehook}{\pagestyle{@style}}
\renewcommand{\etocaftertochook}{\thispagestyle{@style}}

\renewcommand{\headrulewidth}{0pt}
\renewcommand{\footrulewidth}{0pt}

\setlength{\headheight}{30mm}
\setlength{\headsep}{32pt}
\setlength{\footskip}{1cm}

% Full

@{
import datetime

date = get('date', None)
if date == None:
  document = get('document', None)
  if 'date' in document:
    date = document.date
  else:
    date = datetime.datetime.now()
else:
  date = datetime.datetime.now()

if isinstance(date, datetime.datetime):
  date_formatted = date.strftime(date_format)
else:
  date_formatted = date
}

@fancyhdr.full(date=date_formatted)
@fancyhdr.full_no_date()
@fancyhdr.plain(date=date_formatted)
@fancyhdr.simple(date=date_formatted)
@fancyhdr.empty()